Page MenuHomePhabricator

Allow buttons to take iconOnly prop
Closed, ResolvedPublic

Description

Buttons can take an iconOnly prop that:

  • adjusts the outer padding of the button (the spacing between the icon and the border) based on the icon-only button tokens

Notes:

  • The iconOnly prop does not visually hide the button label, that is up to the application

Event Timeline

Michael created this task.Dec 1 2020, 2:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2020, 2:40 PM
Sarai-WMDE updated the task description. (Show Details)Dec 14 2020, 6:29 PM
guergana.tzatchkova updated the task description. (Show Details)
Sarai-WMDE renamed this task from Add slot and prop for icons to Button component to Allow buttons to take iconOnly prop.Dec 16 2020, 4:41 PM
Sarai-WMDE updated the task description. (Show Details)
Lydia_Pintscher closed this task as Resolved.Dec 19 2020, 2:26 PM